namespace YBEE.EQM.Application
{
    public interface ISysMenuService
    {
        Task Add(AddSysMenuInput input);
        Task Update(UpdateSysMenuInput input);
        Task Del(DeleteSysMenuInput input);
        Task<List<SysMenuOutput>> GetAllList();
        Task<List<SysMenuOutput>> GetAllTreeList();
        Task<List<string>> GetLoginPermissionList(int userId);
        Task<List<string>> GetAllPermissionList();
        Task<List<AntMenuOutput>> GetLoginAntMenus(int userId);
    }
}